{% extends "base.html" %}

{% block styles %}
<link rel="stylesheet" href="{{url_for('static',filename='css/profil.css')}}">
{% endblock %}

{% block body %}

<body class="d-flex flex-grow-1 flex-fill">
    <div class="d-flex flex-grow-1" id="wrapper">
        {% include "components/sidebar.html" %}
        <div class="d-flex flex-grow-1 flex-fill page-content-wrapper" id="main">
            <div class="container-fluid">
                {%include "components/navbar.html" %}
                <div id="profil">
                    <h1 class="text-center" id="titleProfil">Profil</h1>
                    {% with messages = get_flashed_messages() %}
                    {% if messages %}
                    <div class="notification is-danger">
                        <p style="font-size:24px;color: white;text-align: center;">{{ messages[0] }}
                            Veuillez saisir un autre pseudo.</p>
                    </div>
                    {% endif %}
                    {% endwith %}
                    <div class="d-xl-flex justify-content-xl-center align-items-xl-center">
                        <form method="POST" action="/connected/profil/modif"
                            style="background: #1e2833;padding: 1em;margin: 1em;border-radius: 1em;width: 60em;text-align: center;">
                            <div class="text-center d-xl-flex justify-content-xl-start align-items-xl-center"
                                style="font-size: 24px;padding: 0.5em;"><label
                                    style="color: rgb(255,255,255);">Pseudo: </label><input type="text"
                                    class="form-control"
                                    style="background: #1e2833;text-align: left;color: rgb(255,255,255);"
                                    placeholder="Saisissez votre pseudo" name="pseudo" value="{{pseudo}}" required />
                            </div>
                            <div class="text-center d-xl-flex justify-content-xl-start align-items-xl-center"
                                style="font-size: 24px;padding: 0.5em;"><label
                                    style="color: rgb(255,255,255);">Prénom: </label><input type="text"
                                    class="form-control"
                                    style="background: #1e2833;text-align: left;color: rgb(255,255,255);"
                                    placeholder="Saisissez votre prénom" name="prenom" value="{{prenom}}" required />
                            </div>
                            <div class="text-center d-xl-flex justify-content-xl-start align-items-xl-center"
                                style="font-size: 24px;padding: 0.5em;"><label
                                    style="color: rgb(255,255,255);">Nom: </label><input type="text"
                                    class="form-control"
                                    style="background: #1e2833;text-align: left;color: rgb(255,255,255);"
                                    placeholder="Saisissez votre nom" name="nom" value="{{nom}}" required /></div>
                            <div class="text-center d-xl-flex justify-content-xl-start align-items-xl-center"
                                style="font-size: 24px;padding: 0.5em;"><label class="text-nowrap"
                                    style="color: rgb(255,255,255);">Date de naissance: </label><input
                                    class="form-control" type="date"
                                    style="background: #1e2833;color: rgb(255,255,255);" name="dateNaissance"
                                    value="{{dateNaiss}}" required /></div>
                            <div class="text-center d-xl-flex justify-content-xl-start align-items-xl-center"
                                style="font-size: 24px;padding: 0.5em;"><label class="text-nowrap"
                                    style="color: rgb(255,255,255);">Sexe: </label><select class="form-control"
                                    style="background: #1e2833;color: rgb(255,255,255);" name="sexe" required>
                                    <option value="undefined">Sélectionnez votre sexe</option>
                                    <option value="Homme" selected>Homme</option>
                                    <option value="Femme">Femme</option>
                                    <option value="Autre">Autre</option>
                                </select></div>
                            <div class="text-center d-xl-flex justify-content-xl-start align-items-xl-center"
                                style="font-size: 24px;padding: 0.5em;"><label class="text-nowrap"
                                    style="color: rgb(255,255,255);">URL Image de profil: </label><input type="text"
                                    class="form-control" style="background: #1e2833;color: rgb(255,255,255);"
                                    name="urlImg" value="{{urlImg}}" placeholder="Saisissez l'URL d'une image de profil"/></div>
                            <div class="d-xl-flex align-items-xl-center" style="font-size: 24px;padding: 0.5em;"><label
                                    class="text-nowrap d-inline-flex" style="color: rgb(255,255,255);">Mot de
                                    passe: </label><input type="password" class="form-control"
                                    style="background: #1e2833;color: rgb(255,255,255);"
                                    placeholder="Saisissez votre nouveau mot de passe (facultatif)" name="mdp"/></div>
                            <button class="btn btn-primary" type="submit"
                                style="background: #214a80;margin-right: 1em;">Valider</button><button
                                class="btn btn-primary" type="button" style="background: #214a80;"
                                onclick="window.location.href = '/connected/profil/'">Annuler</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {% block script %}
    <script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
    <script src="{{url_for('static',filename='bootstrap/js/bootstrap.min.js')}}"></script>
    <script src="{{url_for('static',filename='js/bs-init.js')}}"></script>
    <script src="{{url_for('static',filename='js/-Fixed-Navbar-start-with-transparency-background-BS4-.js')}}"></script>
    <script src="{{url_for('static',filename='js/Sidebar-Menu.js')}}"></script>
    <script>
        // When the user clicks on div, open the popup
        function fonctionPopUp() {
            var popup = document.getElementById("myPopup");
            popup.classList.toggle("show");
        }

        function fonctionRecherche() {
            var popup = document.getElementById("myPopupRecherche");
            popup.classList.toggle("show");
        }
    </script>
    {% endblock %}
</body>
{% endblock %}